--- old/usr/src/tools/cw/cw.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/cw/cw.1onbld	Tue Oct  6 20:55:31 2015
@@ -21,15 +21,13 @@
 .\" Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH cw 1ONBLD "22 March 2010"
+.TH CW 1ONBLD "Mar 22, 2010"
 .SH NAME
 .I cw
 \- invoke one or more compilers with argument translation
 .SH SYNOPSIS
 \fBcw {-_cc|-_gcc|-_CC|-_g++} [options] [compiler args...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "cw" "" "\fBcw\fP"
 .LP
 .I cw
 is a facility for invoking one or more compilers, providing
@@ -40,7 +38,6 @@
 obtained from both.  See SHADOW COMPILATION for details.  This version
 of cw supports Sun Studio 10 and 11 and gcc 3.4.3 as shipped in
 Solaris.
-.LP
 .SH ARGUMENTS
 .LP
 Exactly one of the following arguments is required, and must appear
@@ -57,7 +54,6 @@
 .TP 4
 .B \-_g++
 Select GNU C++ (g++) as the primary compiler.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -67,7 +63,6 @@
 full path to the primary compiler that would be invoked.  If this
 option is given, it must appear immediately following the compiler
 selection argument, and all other options will be disregarded.
-.LP
 .TP 4
 .B \-_versions
 Print the cw version, followed in turn by the path to and versions
@@ -74,17 +69,14 @@
 of each compiler which would be invoked.  If this option is given,
 it must appear immediately following the compiler selection argument,
 and all other options will be disregarded.
-.LP
 .TP 4
 .B \-_noecho
 Normally, cw writes to standard error the actual compiler commands
 invoked, each prefixed with '+'.  This option suppresses these
 messages.
-.LP
 .TP 4
 .B \-_cc=,\-_gcc=,\-_CC=,\-g++=
 Pass compiler-dependent options.  See ARGUMENT TRANSLATION.
-.LP
 .SH SHADOW COMPILATION
 .LP
 Unless otherwise directed by environment variables (see ENVIRONMENT),
@@ -95,7 +87,6 @@
 invoked in parallel with the primary (but see ENVIRONMENT); its
 arguments will likewise be translated.  However, the shadow compiler's
 arguments will also be modified as follows:
-.LP
 .TP 4
 .B 1.
 If none of \fI-c\fP, \fI-E\fP, \fI-P\fP, or \fI-S\fP appears in the
@@ -102,17 +93,14 @@
 argument list (that is, linking is attempted), the shadow compiler
 will not be invoked.  This is because the objects built with that
 compiler which would be linked have been previously discarded.
-.LP
 .TP 4
 .B 2.
 If an option of the form \fI-ofilename\fP was provided, it will be
 replaced by two options of the form \fI-o\fP \fItempfile\fP.
-.LP
 .TP 4
 .B 3.
 If the option \fI-o\fP was provided, its following argument will be
 replaced by \fItempfile\fP.
-.LP
 .TP 4
 .B 4.
 If neither of the above options was provided, two options of the
@@ -137,21 +125,17 @@
 \fBcw\fP does not accept multiple source files unless the
 preprocessor is to be invoked.  An attempt to invoke \fBcw\fP in
 this manner will result in an error.
-.LP
 .SH ARGUMENT TRANSLATION
 .LP
 The arguments provided to \fBcw\fP will be passed through to each
 compiler invoked, altered as follows:
-.LP
 .TP 4
 .B 1.
 Options intended for \fBcw\fP itself are removed.
-.LP
 .TP 4
 .B 2.
 The shadow compiler's arguments are modified as described in
 SHADOW COMPILATION so that its output is discarded.
-.LP
 .TP 4
 .B 3.
 If the compiler to be invoked is a GNU C or C++ compiler, a set of
@@ -163,7 +147,6 @@
 leading portion removed.  Arguments which begin with \fI-_cc=\fP or
 \fI-_CC=\fP will be discarded.  See the comments at the head of
 \fIusr/src/tools/cw/cw.c\fP for a detailed list of translations.
-.LP
 .TP 4
 .B 4.
 If the compiler to be invoked is a Studio C or C++ compiler, the
@@ -172,14 +155,11 @@
 \fI-_CC=\fP will be passed in place with the leading portion removed.
 Arguments which begin with \fI-_gcc=\fP or \fI-_g++=\fP will be
 discarded.
-.LP
 .SH ENVIRONMENT
-.LP
 .TP 4
 .B CW_NO_SHADOW
 If this variable is set in the environment, invoke only the
 primary compiler.
-.LP
 .TP 4
 .B CW_SHADOW_SERIAL
 If this variable is set in the environment, invoke the primary compiler,
@@ -186,18 +166,15 @@
 wait for it to complete, then invoke the shadow compiler.  Normally
 the two compilers are invoked in parallel.  If CW_NO_SHADOW is set,
 this has no effect.
-.LP
 .TP 4
 .B CW_NO_EXEC
 If this variable is set in the environment, write the usual output to
 standard error but do not actually invoke any compiler.  This is
 useful for debugging the translation engine.
-.LP
 .TP 4
 .B CW_CC, CW_CPLUSPLUS
 If these variables are set in the environment, they specify the full
 pathname for the Studio C and C++ compilers, respectively.
-.LP
 .TP 4
 .B CW_CC_DIR, CW_CPLUSPLUS_DIR, SPRO_VROOT, SPRO_ROOT, BUILD_TOOLS
 If CW_CC or CW_CPLUSPLUS are not set,
@@ -215,12 +192,10 @@
 in \fI$BUILD_TOOLS/SUNWspro/SS12/bin\fP will be used.
 Otherwise, the Studio compilers in a predefined default location
 will be used.
-.LP
 .TP 4
 .B CW_GCC, CW_GPLUSPLUS
 If these variables are set in the environment, they specify the full
 pathname for the GNU C and C++ compilers, respectively.
-.LP
 .TP 4
 .B CW_GCC_DIR, CW_GPLUSPLUS_DIR, GNU_ROOT
 If CW_GCC or CW_GPLUSPLUS are not set,
@@ -234,19 +209,15 @@
 in \fI$GCC_ROOT/bin\fP will be used.
 Otherwise, the GNU compilers in a predefined default location
 will be used.
-.LP
 .SH EXIT STATUS
 .LP
 The following exit status values are returned:
 .IP "\fB0\fR" 4
-.IX Item "0"
 The primary compiler, and shadow compiler if invoked, both completed
 successfully.
 .IP "\fB>0\fR" 4
-.IX Item ">0"
 A usage error occurred, or one or more compilers returned a nonzero
 exit status.
-.LP
 .SH BUGS
 .LP
 The translations provided for gcc are not always exact and in some
@@ -255,7 +226,6 @@
 Additional compiler types should be supported.
 .LP
 The translation engine is hacky.
-.LP
 .SH SEE ALSO
 .LP
 cc(1), CC(1), gcc(1)
